#!/bin/sh

#
# garux.h.sh
#
# Dynamic creation of garux.h
#
# Copyright (C) 2005 Romain Goyet
# Author: Romain Goyet [r.goyet@gmail.com]
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
echo "Creating garux.h from garux-generic.h ..."
NUM_PAGES=`ls -l image.bin | cut -f6 -d\ `
NUM_PAGES=`echo $NUM_PAGES/32768+1 | bc`
#cat garux-generic.h | sed s/TOKEN_TO_REPLACE/$NUM_PAGES/ > garux.h

NUM_IMAGE=`ls -al image.bin |awk '{print $5}'`
NUM_KERNEL=`ls -al zImage |awk '{print $5}'`

NUM_INITRD=0
if [ -f initrd.gz ]
then
NUM_INITRD=`ls -al initrd.gz |awk '{print $5}'`
fi
#cat garux-generic.h | sed s/TOKEN_TO_REPLACE/$NUM_PAGES/ > garux.h
cat garux-generic.h | sed s/TOKEN_TO_REPLACE/$NUM_PAGES/ |sed s/KERNEL_TO_REPLACE/$NUM_KERNEL/ |sed s/INITRD_TO_REPLACE/$NUM_INITRD/ |sed s/IMAGE_TO_REPLACE/$NUM_IMAGE/ > garux.h

NUM_IMAGE=`echo $NUM_IMAGE/1024 |bc`
echo "Num page " $NUM_PAGES
echo "Size image " $NUM_IMAGE
